## act_draw - draw objects from user scripts

The act_draw plugin is used mainly by user scripts to create (draw) new objects on the board or to render drawings in preview widgets.

### Common arguments

When the first argument is the string "noundo", the operation is done in a non-undoable manner (won't be added to the undo list). For an undoable operation omit the "noundo" argument and start the argument list with the second argument.

The argument called data is a data address, which is typically the string "pcb" for the current board, "buffer" for the currently active buffer, "buffer#0" for the 0th buffer, "buffer#N" for the Nth buffer (N being an integer) or the idpath of a subcircuit.

The argument called layer is a layer ID, such as "#1" for layer 1, "¤t" for the current layer. It can also be acquired with the action uilayer().

### List of actions

TODO: generate this